Update Policy
curl --request PUT \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environmentOverrides": [
{
"environment": "<string>"
}
]
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/access"
payload = { "environmentOverrides": [{ "environment": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environmentOverrides: [{environment: '<string>'}]})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mode": "public",
"previewMode": "inherit",
"environmentOverrides": [
{
"environment": "<string>",
"mode": "public"
}
],
"version": 2,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"enforcement": {
"status": "ready",
"reason": "<string>"
}
}appAccess
Update Policy
Replace the application access policy. Each successful mutation increments its version.
PUT
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
access
Update Policy
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Response
Updated policy.
Available options:
public, authenticated, organization, invite_only Access for pull-request previews. Inherit uses the project mode.
Available options:
inherit, public, authenticated, organization, invite_only Show child attributes
Show child attributes
Required range:
x >= 1Show child attributes
Show child attributes